MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022689Community[OCCT] OCCT:Modeling Algorithmspublic2011-08-01 11:072012-03-29 17:26
Reporterszv 
Assigned Tobugmaster 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022689: Infinite loop in BRepExtrema_DistanceSS, in static function TRIM_INFINIT_FACE
DescriptionThis problem is reported on the Forum in the thread http://www.opencascade.org/org/forum/thread_21301/. [^]

The corrected source (revised by SZV) is attached.
TagsNo tags attached.
Test case numberTest case is not required
Attached Filescxx file icon BRepExtrema_DistanceSS.cxx (42,572 bytes) 2011-08-01 11:07

- Relationships

-  Notes
(0017866)
szv (manager)
2011-08-01 11:15

A simple misprint in code was corrected.
(0017886)
bugmaster (administrator)
2011-08-03 11:09
edited on: 2011-12-15 16:22

Julia,

Please revise branch http://svn/svn/occt/branches/OCC22689 [^]

and recheck this fix on customer shapes

(0017890)
jgv (developer)
2011-08-03 16:07

No remarks
(0017891)
bugmaster (administrator)
2011-08-03 16:33

Testing is not required.
(0017977)
bugmaster (administrator)
2011-08-12 11:20

Fix has been integrated to occt repository
Date: 2011-08-03 16:34:31 +0400 (Wed, 03 Aug 2011)
New Revision: 8799

Modified:
   trunk/src/BRepExtrema/BRepExtrema_DistanceSS.cxx
Log:
0022689: Infinite loop in BRepExtrema_DistanceSS, in static function TRIM_INFINIT_FACE
Developed by : SZV

- Related Changesets
occt: master ed0d16d8
Timestamp: 2011-08-03 12:34:31
Author: szv
Committer: bugmaster
Details ] Diff ]
0022689: Infinite loop in BRepExtrema_DistanceSS, in static function TRIM_INFINIT_FACE
mod - src/BRepExtrema/BRepExtrema_DistanceSS.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-01 11:07 szv New Issue
2011-08-01 11:07 szv Assigned To => szv
2011-08-01 11:07 szv File Added: BRepExtrema_DistanceSS.cxx
2011-08-01 11:15 szv Note Added: 0017866
2011-08-01 11:15 szv Status new => resolved
2011-08-01 11:15 szv Resolution open => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-08-03 11:09 bugmaster Note Added: 0017886
2011-08-03 11:09 bugmaster Assigned To szv => jgv
2011-08-03 11:09 bugmaster Status resolved => assigned
2011-08-03 16:07 jgv Note Added: 0017890
2011-08-03 16:07 jgv Status assigned => reviewed
2011-08-03 16:33 bugmaster Note Added: 0017891
2011-08-03 16:33 bugmaster Status reviewed => tested
2011-08-12 11:20 bugmaster Note Added: 0017977
2011-08-12 11:20 bugmaster Status tested => verified
2011-08-17 14:16 bugmaster Test case number => Test case is not required
2011-12-15 16:22 abv Note Edited: 0017886 View Revisions
2011-12-15 16:22 abv Project Open CASCADE => Community
2012-03-29 17:26 bugmaster Changeset attached => occt master ed0d16d8


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker